<style>
    #cookie-notice{
        background-color: rgba(0, 0, 0, 0.3);
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        position: absolute;
        transform: translate(0, -10rem);
        z-index:10001;
        animation:cookie-notice-slide-in 1s ease-out forwards;
    }
    #cookie-container{ 
        height: 200px;
        text-align: justify;
        text-justify: inter-word;
        border-radius: 12px;
    }
    @media screen and (max-width: 1200px) {
        #primaSlideCookie { 
            height: 60vh !important;
            overflow: auto !important;
        }
    }
    @keyframes cookie-notice-slide-in{
        0% {
          transform: translateY(10rem);
        }
        100%{
          transform:none;
        }
    }
      
</style>

<link href="plugins\grofgraf\cookienotice\assets\css\main.css" rel="stylesheet">
<script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
<div id="cookie-notice" class="container-fluid fixed-top py-5">
    <table id="cookie-container" class="bg-white col-md-5 col-sm-10">
        <tbody>
            <tr>
                <td id="informativa" style="font-size: small !important;" class="p-5">
                    {{cookie_notice_content | raw}}
                </td>
                <td style="display: none;" id="checkcookie" style="font-size: small !important;" class="p-5">
                    <!-- {{cookie_notice_content | raw}} -->
                    <h3>{{'Impostazioni dei cookie'|_}}</h3>
                    <hr>
                    <ul class="list-unstyled form-group">
                        <li>
                            <input style="width: 16px; height: 16px;" class="m-0 p-0" type="checkbox" name="funzionali" id="funzionali" checked disabled>
                            <label style="font-size: 18px;" for="funzionali" class="text-capitalize">{{'funzionali'|_}}</label>
                            <p>{{'corpo_funzionali'|_}}</p>
                        </li>
                        <li class="my-5">
                            <input style="width: 16px; height: 16px;" class="m-0 p-0" type="checkbox" name="performance" id="performance">
                            <label style="font-size: 18px;" for="performance" class="text-capitalize">performance</label>
                            <p>{{'corpo_performance'|_}}</p>
                        </li>
                        <li class="my-5">
                            <input style="width: 16px; height: 16px;" class="m-0 p-0" type="checkbox" name="social" id="social">
                            <label style="font-size: 18px;" for="social" class="text-capitalize">social</label>
                            <p>{{'corpo_social'|_}}</p>
                        </li>
                    </ul>
                </td>

            </tr>
            <tr>
                <td class="pb-5 text-center row justify-content-center">
                    <button style="border-radius:26px;" class="col-3 btn btn-lg btn-outline-dark btn-block" onclick="hideInformativa()"><label style="width:auto; height:auto; white-space: normal;">{{'Ulteriori Info'|_}}</label></button>
                    <p class="mx-3"></p>
                    <button style="border-radius:26px;" class="col-3 btn btn-lg btn-dark btn-block" onClick="acceptCookies();">{{button_text | raw}}</button>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<script>
    $('#newsletter').css('display','none');
    function hideInformativa() {
        if ($('#informativa').is(":visible")) {
            $('#informativa').fadeOut();
            setTimeout(() => {
                $('#checkcookie').fadeIn();
            }, 402);
        } else {
            $('#checkcookie').fadeOut();            
            setTimeout(() => {
                $('#informativa').fadeIn();
            }, 402);            
        }
        
    }

    function acceptCookies(){
        var funzionali = $('#funzionali').prop('checked');
        var performance = $('#performance').prop('checked');
        var social = $('#social').prop('checked');
        var data = {
            'check-funzionali':funzionali,
            'check-performance':performance,
            'check-social':social,
        }

        $.request("{{ __SELF__ }}::onConfirmCookies", {
            data: data,
            loading: $.oc.stripeLoadIndicator,
            // le righe che seguono servono per abilitare il flashmessage utile per debug
            flash: 1,
            handleFlashMessage: function(message, type) {
                $.oc.flashMsg({ text: message, class: type })
            },
            success: function(obResponse) {
                if(obResponse.status){
                    $('#cookie-notice').remove();
                    if(obResponse.message == "newsletter"){
                        $('#newsletter').css('display', '');
                    }else{
                        $('#newsletter').css('display', 'none');
                    }
                }
            }
        });

    }

</script>